com.amazonaws.services.servermigration.model

## Class GetReplicationRunsResult

- java.lang.Object
- - com.amazonaws.AmazonWebServiceResult<ResponseMetadata>
  - - com.amazonaws.services.servermigration.model.GetReplicationRunsResult

All Implemented Interfaces:
  Serializable, Cloneable

    public class GetReplicationRunsResult
    extends AmazonWebServiceResult<ResponseMetadata>
    implements Serializable, Cloneable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`GetReplicationRunsResult()`

### Method Summary

All Methods Instance Methods Concrete Methods
`GetReplicationRunsResult` `clone()`
`boolean` `equals(Object obj)`
`String` `getNextToken()`
`ReplicationJob` `getReplicationJob()`
`List<ReplicationRun>` `getReplicationRunList()`
`int` `hashCode()`
`void` `setNextToken(String nextToken)`
`void` `setReplicationJob(ReplicationJob replicationJob)`
`void` `setReplicationRunList(Collection<ReplicationRun> replicationRunList)`
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`GetReplicationRunsResult` `withNextToken(String nextToken)`
`GetReplicationRunsResult` `withReplicationJob(ReplicationJob replicationJob)`
`GetReplicationRunsResult` `withReplicationRunList(Collection<ReplicationRun> replicationRunList)`
`GetReplicationRunsResult` `withReplicationRunList(ReplicationRun... replicationRunList)` NOTE: This method appends the values to the existing list (if any).

### Methods inherited from class com.amazonaws.AmazonWebServiceResult

`getSdkHttpMetadata, getSdkResponseMetadata, setSdkHttpMetadata, setSdkResponseMetadata`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GetReplicationRunsResult

    public GetReplicationRunsResult()

### Method Detail

#### setReplicationJob

    public void setReplicationJob(ReplicationJob replicationJob)

Parameters:
  `replicationJob` -

#### getReplicationJob

    public ReplicationJob getReplicationJob()

Returns:

#### withReplicationJob

    public GetReplicationRunsResult withReplicationJob(ReplicationJob replicationJob)

Parameters:
  `replicationJob` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### getReplicationRunList

    public List<ReplicationRun> getReplicationRunList()

Returns:

#### setReplicationRunList

    public void setReplicationRunList(Collection<ReplicationRun> replicationRunList)

Parameters:
  `replicationRunList` -

#### withReplicationRunList

    public GetReplicationRunsResult withReplicationRunList(ReplicationRun... replicationRunList)

NOTE: This method appends the values to the existing list (if any). Use `setReplicationRunList(java.util.Collection)` or `withReplicationRunList(java.util.Collection)` if you want to override the existing values.

Parameters:
  `replicationRunList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### withReplicationRunList

    public GetReplicationRunsResult withReplicationRunList(Collection<ReplicationRun> replicationRunList)

Parameters:
  `replicationRunList` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setNextToken

    public void setNextToken(String nextToken)

Parameters:
  `nextToken` -

#### getNextToken

    public String getNextToken()

Returns:

#### withNextToken

    public GetReplicationRunsResult withNextToken(String nextToken)

Parameters:
  `nextToken` -
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public GetReplicationRunsResult clone()

Overrides:
  `clone` in class `Object`